cURL
curl --request GET \
--url https://api.example.com/users/{userId}import requests
url = "https://api.example.com/users/{userId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"roles": [
{
"productId": "<string>",
"roleId": "<string>",
"permissions": [
{
"permissionId": "<string>",
"resourceIds": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"permissions": [
{
"permissionId": "<string>",
"resourceIds": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}permissions
Get users
GET
/
users
/
{userId}
cURL
Path Parameters
the user id to retrieve
Response
200 - application/json
The ID of the user.
User role ids
Show child attributes
Show child attributes
The permissions associated with the user.
Show child attributes
Show child attributes
the date of creation of the user
the date of the last update of the user
Was this page helpful?
⌘I

